/**
 * 部门管理的额外需求
 * - 研报小程序5.0:ficc研究员配置;
 */
import { departInterence } from '@/api/api.js';
export default {
    data() {
        return {
            isExtraUserFormItemShow: false, //是否显示额外的用户表单项
            form_directProp: {
                /* value: 'research_group_id',
                label: 'research_group_name',
                children: 'children', */
                value:'tag_id',
                label:'tag_name',
                children:'tags',
                multiple: true
            }, //研究方向选择配置
            uploadloading: false,
            researchGroup:[]
        }
    },
    methods: {
        //上传图片
        fileSelected() {
            this.uploadloading = true;
            let hostfile = document.getElementById('file').files[0];
            console.log(hostfile)
            let form = new FormData();
            form.append('file', hostfile);
            console.log(form)
            setTimeout(() => {
                this.uploadloading = false
            }, 1000)
        },
        //模拟上传图片input被点击
        clickinput() {
            $("#file").click();
        },
        /* 获取研究方向分组列表 */
		getResearchGroup(){
			/* departInterence.getResearchGroupList().then(res=>{
                if(res.Ret===200){
                    this.researchGroup = res.Data
                }
            }) */
            departInterence.getTagTree().then(res=>{
                if(res.Ret===200){
                    this.researchGroup = res.Data
                }
            })
		},
        //转换研究员研究方向分组数据,用于编辑的回显
        changeResearchGroupIdsToDirect(ResearchGroupIds,keyWord){
            let direct = []
            ResearchGroupIds.forEach(item=>{
                direct.push(this.getResearchGroupByKeyword(item,keyWord))
            })
            return direct
        },
        getResearchGroupByKeyword(researchGroupId, keyWord = "research_group_id") {
            const getResearchGroupOption = (list, value) => {
              for (let i in list) {
                  //排除掉一级
                if (list[i].tag_id == value&&!list[i].classify_name) {
                  return [list[i]];
                }
                if (list[i].tags) {
                  let node = getResearchGroupOption(list[i].tags, value);
                  if (node !== undefined) {
                    return node.concat(list[i]);
                  }
                }
              }
            };
            const answer = getResearchGroupOption(this.researchGroup, researchGroupId)||[];
            return answer.map((i) => i[keyWord]).reverse();
          },
    }

}